# Uses of Interface
org.eclipse.birt.chart.model.data.DateTimeDataElement

Packages that use DateTimeDataElement
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of DateTimeDataElement in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return DateTimeDataElement
Modifier and Type
Method
Description
`DateTimeDataElement`
DateTimeDataElement.`copyInstance()`
`DateTimeDataElement`
DataFactory.`createDateTimeDataElement()`
Returns a new object of class 'Date Time Data Element'.

## Uses of DateTimeDataElement in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement DateTimeDataElement
Modifier and Type
Class
Description
`class`
`DateTimeDataElementImpl`
An implementation of the model object ' Date Time Data Element'.
Methods in org.eclipse.birt.chart.model.data.impl that return DateTimeDataElement
Modifier and Type
Method
Description
`DateTimeDataElement`
DateTimeDataElementImpl.`copyInstance()`
`static final DateTimeDataElement`
DateTimeDataElementImpl.`create(long lValue)`
A convenience method provided to return an initialized DateTimeDataElement
`static final DateTimeDataElement`
DateTimeDataElementImpl.`create(com.ibm.icu.util.Calendar caValue)`
A convenience method provided to return an initialized DateTimeDataElement
`DateTimeDataElement`
DataFactoryImpl.`createDateTimeDataElement()`